---
layout: post
title: "Originally shared by Arthur Wolf In \"Smoothie keeps conquering the world\" news : Check out this really neat pro kodak-branded and smoothie-powered printer :"
date: January 27, 2018 22:35
category: "General discussion"
author: "Arthur Wolf"
---
<b>Originally shared by Arthur Wolf</b>



In "Smoothie keeps conquering the world" news : Check out this really neat pro kodak-branded and smoothie-powered printer : [https://smart3d.tech/](https://smart3d.tech/)





**"Arthur Wolf"**

---
---
**Daniel Kruger** *January 28, 2018 07:31*

It looks like a solid printer. The X carriage looks like it has a lot of mass. 


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/Wwd1C9gfR2G) &mdash; content and formatting may not be reliable*
